#!/usr/bin/perl
#_____________________________________________________________________#
#                                                                     #
# ۡ SenseBoard Ver 1.75 :                                          #
# Date Created: 02-05-2000                                            #
# Date Last Modified: 01-11-2000                                      #
# Email: kstech@krsense.com                                           #
# Homepage: http://krsense.com                                        #
#                                                                     #
# Copyright 2000 (c) KrSense All Rights Reserved.                     #
# Please read the README.txt file for full details on terms of use.   #
#                                                                     #
#                                                                     #
# ۡۡۡ                                                            #
#  ũƮ  õ 忡 Ǵ Դϴ.     #
#  α׷ 뿡  ̼ README.txt Ͽ                #
#  õǾ Ƿ ݵ о ֽñ ٶϴ.                 #
# մϴ.                                                         #
#_____________________________________________________________________#
#                                                                     #

#______________________________________ CONFIGURATION
# Ϻ  ü迡 Ʒ κ պ ʿ ֽϴ.
require "./config.pl";
# ϴ  պ ʿ ϴ.
require "$CGI_BASE_PATH/library/cgi-lib.pl";
require "$CGI_BASE_PATH/library/board-lib.pl";

&read_parse;
require "$DB_Dir_Path/$FIELD{'db'}/config/main.cfg";
$ConfigDirPath = $_UseConfigSkin ? "$Skin_Dir_URL/config/$_ConfigSkinName" : "$DB_Dir_Path/$FIELD{'db'}/config";
require "$ConfigDirPath/general.cfg";
require "$ConfigDirPath/write.cfg";
$Icons_Dir_URL = $_UseIconSkin ? "$Skin_Dir_URL/icons/$_IconSkinName" : "$Icons_Dir_URL";


#______________________________________ MAIN CODE
# Mode One
if ($FIELD{'mode'} eq "1") {
  if ($_WritingRight eq "all") {
    &page_head("");
    &reply;
    &page_foot;
  } else {
    &page_head(" onLoad=\"document.forms[0].loginpass.focus();\"");
    &check_pass("swreply.cgi", "0", "ڸ    ֽϴ.");
    &page_foot;
  }

# Mode Two
} elsif ($FIELD{'mode'} eq "2") {
  chomp($FIELD{'loginpass'});
  &crypt_pass("$FIELD{'loginpass'}");
  if ($Pass eq "$_AdminPass") {
    &page_head("");
    &reply;
    &page_foot;
  } else {
    $FIELD{'attemptlogin'} += 1;
    if ($FIELD{'attemptlogin'} < 3) {
      &page_head(" onLoad=\"document.forms[0].loginpass.focus();\"");
      &check_pass("swreply.cgi", "$FIELD{'attemptlogin'}", "ùٸ йȣ ƴմϴ.");
      &page_foot;
    } else {
      print "Location: $CGI_BASE_URL/swlist.cgi?db=$FIELD{'db'}&page=1\n\n";
    }
  }

# Mode Three
} elsif ($FIELD{'mode'} eq "3") {
  if ($_WritingRight eq "admin") {
    chomp($FIELD{'loginpass'});
    &crypt_pass("$FIELD{'loginpass'}");
    &alert_msg(" Դϴ.") if ($Pass ne "$_AdminPass");
  }

  print "Set-Cookie: namecookie=$FIELD{'name'}; expires=Sunday, 24-Dec-2020 23:59:59 GMT;\n";
  print "Set-Cookie: emailcookie=$FIELD{'email'}; expires=Sunday, 24-Dec-2020 23:59:59 GMT;\n";
  print "Set-Cookie: homepagecookie=$FIELD{'homepage'}; expires=Sunday, 24-Dec-2020 23:59:59 GMT;\n";

  $FileInfoIndex = 0;
  if ($_WriteUserFile) {
    if ($_OnlyLinkFile) {
      $FileName = "$FIELD{'userfile'}";
      $FIELD{'linkfilesize'} ||= 0;
      $FileSize = $FIELD{'linkfilesize'} * 1024;
    } else {
      $FileName = "$FileName[$FileInfoIndex]";
      if ($FileName =~ m|http://|i || $FileName =~ m|ftp://|i) {
        $FIELD{'linkfilesize'} ||= 0;
        $FileSize = $FIELD{'linkfilesize'} * 1024;
      } else {
        $FileSize = "$FileSize[$FileInfoIndex]";
        $FIELD{'linkfilesize'} = 0;
      }
      $FileInfoIndex += 1;
    }
  }
  if ($_WriteInsertionIcon) {
    if ($_OnlyLinkIcon) {
      $IconName = "$FIELD{'insertionicon'}";
    } else {
      $IconName = "$FileName[$FileInfoIndex]";
      $IconSize = "$FileSize[$FileInfoIndex]";
    }
  }
  if ($FIELD{'name'} =~ /<.*?>/) {
    &alert_msg("̸ Tag   ..");
  } elsif ($FIELD{'email'} && ($FIELD{'email'} !~ /^[^\s]+\@[^\s]+\.[^\s]+$/)) {
    &alert_msg("̸ ּҿ  ԵǾ ְų ùٸ ּҰ ƴմϴ.");
  } elsif ($FIELD{'homepage'} && ($FIELD{'homepage'} !~ m|^http://$|i) && ($FIELD{'homepage'} !~ m|^http://[^\s]+\.[^\s]+$|i)) {
    &alert_msg("Ȩ ּҿ  ԵǾ ְų ùٸ ּҰ ƴմϴ.");
  } elsif (!$_UseTagSubject && ($FIELD{'subject'} =~ /<.*?>/)) {
    &alert_msg(" Tag   ..");
  } elsif ($FileName && !$FileSize) {
    &alert_msg("Ϸ ڷᰡ üҸ ڷ̰ų 뷮 ľ   ڷԴϴ. ũڷ  뷮 Է ּ.  1ް 1024kbϴ.  ƽ? ^^;");
  } elsif ($FIELD{'linkfilesize'} && ($FileName !~ m|^http://[^\s]+\.[^\s]+/.+$|i && $FileName !~ m|^ftp://[^\s]+\.[^\s]+/.+$|i)) {
    &alert_msg("Ϸ ڷ ּҿ ̻ ֽϴ.");
  } elsif (!$FIELD{'linkfilesize'} && ($FileSize > $_MaxUserFile)) {
    &alert_msg("Ϸ ڷ 뷮  뷮 ʰϰ ֽϴ.");
  } elsif ($FIELD{'linkfilesize'} && $FIELD{'linkfilesize'} !~ /^[0-9]+$/) {
    &alert_msg("ũ  ׸ ݵ ڷθ ä ּ.  1ް 1024kbϴ.  ƽ? ^^;");
  } elsif ($FIELD{'preview'} && ($FIELD{'preview'} !~ m|^http://$|i) && ($FIELD{'preview'} !~ m|^http://[^\s]+\.[^\s]+/.+$|i)) {
    &alert_msg("̸ ּҿ ̻ ֽϴ.");
  } elsif ($IconName && ($IconName !~ m#.+\.(gif|jpg|bmp)\s*$#i)) {
    &alert_msg(" ׸ ε尡 Ǵ gif, jpg, bmp ƴմϴ.");
  } elsif ($IconSize && ($IconSize > $_MaxInsertionIcon)) {
    &alert_msg(" ׸ 뷮  뷮 ʰϰ ֽϴ.");
  # } elsif (($FIELD{'name'} !~ /\s*[^\s]+/) || ($FIELD{'subject'} !~ /\s*[^\s]+/) || ($FIELD{'contents'} !~ /\s*[^\s]+/)) {
  #   &alert_msg(" Դϴ.");
  } else {
    &file_lock("$DB_Dir_Path/$FIELD{'db'}");
    open(SESSION, "$DB_Dir_Path/$FIELD{'db'}/index/session.ssn");
    @Session = <SESSION>;
    chomp(@Session);
    close SESSION;
    if ($Session[1] eq "$FIELD{'subsession'}|$ENV{'HTTP_USER_AGENT'}") {
      &file_unlock("$DB_Dir_Path/$FIELD{'db'}");
      print "Location: $CGI_BASE_URL/swlist.cgi?db=$FIELD{'db'}&page=1\n\n";
      exit;
    } else {
      open(SESSION, ">$DB_Dir_Path/$FIELD{'db'}/index/session.ssn");
      print SESSION "$Session[0]\n";
      print SESSION "$FIELD{'subsession'}|$ENV{'HTTP_USER_AGENT'}";
      close SESSION;
    }
    open(COUNT1, "$DB_Dir_Path/$FIELD{'db'}/index/count.cnt");
    @Count = <COUNT1>;
    chomp(@Count);
    close COUNT1;
    @CountA = split(/\:/, $Count[0]);
    $CountA[0] += 1;
    $CountA[1] += 1;
    @CountB = split(/\|/, $Count[1]);
    $CountBPiece = $FIELD{'index'} - 1;
    $CountB[$CountBPiece] += 1;
    open(COUNT2, ">$DB_Dir_Path/$FIELD{'db'}/index/count.cnt");
    print COUNT2 "$CountA[0]:$CountA[1]\n";
    # for ($CountBPiece = 0; $CountBPiece <= $#CountB; $CountBPiece++) {
    #   print COUNT2 "$CountB[$CountBPiece]|";
    # }
    print COUNT2 join("|", @CountB);
    close COUNT2;
    open(ARTICLE, "$DB_Dir_Path/$FIELD{'db'}/$FIELD{'index'}/$FIELD{'article'}");
    @Article = <ARTICLE>;
    chomp(@Article);
    @ArticleIndex = split(/\|/, $Article[2]);
    close ARTICLE;
    if ($FileName) {
      if ($FileSize) {
        if (!$FIELD{'linkfilesize'}) {
          while (-e "$DB_Dir_Path/$FIELD{'db'}/files/$FileName") {
            $FileName = "s-$FileName";
          }
        }
        if ($FileSize >= 1048576) {
          if (($FileSize % 1048576) < 524288) {
            $FileSize = int($FileSize/1048576);
          } else {
            $FileSize = int($FileSize/1048576) + 1;
          }
          $FileSize .= "MB";
        } elsif ($FileSize >= 1024) {
          if (($FileSize % 1024) < 512) {
            $FileSize = int($FileSize/1024);
          } else {
            $FileSize = int($FileSize/1024) + 1;
          }
          $FileSize .= "KB";
        } else {
          $FileSize = $FileSize . "Byte";
        }
      } else {
        $FileName = "";
      }
    }
    if ($IconSize) {
      while (-e "$DB_Dir_Path/$FIELD{'db'}/pictures/$IconName") {
        $IconName = "s-$IconName";
      }
    } else {
      $IconName = "" if ($IconName !~ m|http://[^\s]+\.[^\s]+/.+|i && $IconName !~ m|ftp://[^\s]+\.[^\s]+/.+|i);
    }
    $Depth = $ArticleIndex[6] + 1;
    open(INDEX, "$DB_Dir_Path/$FIELD{'db'}/index/$FIELD{'index'}");
    @Index = <INDEX>;
    chomp(@Index);
    close INDEX;
    open(INDEX, ">$DB_Dir_Path/$FIELD{'db'}/index/$FIELD{'index'}");
    for ($IndexLine = 0; $IndexLine <= $#Index; $IndexLine++) {
      @IndexLine = split(/\|/, $Index[$IndexLine]);
      if ($FIELD{'article'} eq "$IndexLine[0]") {
        $ArticleGroup = $IndexLine[1];
        print INDEX "$CountA[1]|$ArticleGroup|$Depth\n";
        print INDEX "$Index[$IndexLine]\n";
      } else {
        print INDEX "$Index[$IndexLine]\n";
      }
    }
    close INDEX;
    &file_unlock("$DB_Dir_Path/$FIELD{'db'}");

    chomp($FIELD{'pass'});
    $Pass = $FIELD{'pass'} ? &crypt_pass("$FIELD{'pass'}") : "$_AdminPass";
    $FIELD{'preview'} = "" if (!$FileName || !$FileSize);
    &get_time;
    if (!$FIELD{'usetag'}) {
      $FIELD{'contents'} =~ s/&/&amp;/g;
      $FIELD{'contents'} =~ s/"/&quot;/g;
      $FIELD{'contents'} =~ s/</&lt;/g;
      $FIELD{'contents'} =~ s/>/&gt;/g;
    }
    $FIELD{'contents'} =~ s/\r\n/<br>/g;
    open (ARTICLE, ">$DB_Dir_Path/$FIELD{'db'}/$FIELD{'index'}/$CountA[1]");
    print ARTICLE "$FIELD{'index'}\n";
    print ARTICLE "$Pass\n";
    print ARTICLE "$CountA[1]|$ArticleGroup|$FileName|$FileSize|$FIELD{'preview'}|$FIELD{'homepage'}|$Depth|$FIELD{'subject'}|$FIELD{'email'}|$FIELD{'name'}|$Date|0|0|0|0|$FIELD{'article'}\n";
    print ARTICLE "$CurrentTime\n";
    print ARTICLE "NO!\n";
    print ARTICLE "0:0\n";
    print ARTICLE "$IconName&$FIELD{'iconlocation'}\n";
    print ARTICLE "$FIELD{'contents'}\n";
    print ARTICLE "$ENV{'REMOTE_ADDR'}\n";
    print ARTICLE "$FIELD{'autolink'}\n";
    print ARTICLE "$FIELD{'usetag'}\n";
    print ARTICLE "$FIELD{'readright'}\n";
    print ARTICLE "$FIELD{'informreg'}\n";
    close ARTICLE;
    if ($IconSize) {
      open (FILE, ">$DB_Dir_Path/$FIELD{'db'}/pictures/$IconName");
      binmode FILE;
      print FILE $FIELD{'insertionicon'};
      close FILE;
    }
    if (!$FIELD{'linkfilesize'} && $FileSize) {
      open (FILE, ">$DB_Dir_Path/$FIELD{'db'}/files/$FileName");
      binmode FILE;
      print FILE $FIELD{'userfile'};
      close FILE;
    }

    if ($_InformAdmin && $_AdminEmail) {
      $FIELD{'contents'} =~ s/<br>/\n/g;
      $MailSubject = "[]$FIELD{'subject'}";
      if ($FIELD{'email'}) {
        $MailContents = "$FIELD{'name'}($FIELD{'email'})    $ArticleIndex[9]  ۿ  ñ ϼ̽ϴ.\n\n";
      } else {
        $MailContents = "$FIELD{'name'}    $ArticleIndex[9]  ۿ  ñ ϼ̽ϴ.\n\n";
      }
      $MailContents .= ": $FIELD{'subject'}\n";
      $MailContents .= "$FIELD{'contents'}\n";
      $MailContents .= "_____________________________________________\n";
      $MailContents .= "$_AdminName($_AdminHomepage)\n";
      $MailContents .= "$CurrentTime\n";
      &send_mail("$DB_Dir_Path/$FIELD{'db'}/$CountA[1].tmp", "$_AdminName <$_AdminEmail>", "$_AdminEmail");
    }
    if ($Article[12] && $ArticleIndex[8]) {
      $MailSubject = "[]$ArticleIndex[9]  ۿ  ñ ϵǾϴ.";
      $MailContents = "";
      $MailContents .= "$ArticleIndex[9]  ۿ  ñ ϵǾ⿡ ̸ ˷ 帳ϴ.\n";
      $MailContents .= "Ʒ ּҿ Ͽ $ArticleIndex[9]   Խ ãñ ٶϴ.\n\n";
      $MailContents .= "$_AdminHomepage\n";
      $MailContents .= "_____________________________________________\n";
      $MailContents .= "$_AdminName($_AdminHomepage)\n";
      $MailContents .= "$CurrentTime\n\n";
      $MailContents .= "Copyright (c) 2000 KrSense. All Rights Reserved.\n";
      $MailContents .= "(http://krsense.com) ѹ 鷯 ֽ ?\n";
      $MailContents .= "ϰ   Խ ܿ  α׷  ٸ ִϴ.\n";
      $MailContents .= " ȯ̴  ѹ 鷯 ּ.. ^^;\n";
      &send_mail("$DB_Dir_Path/$FIELD{'db'}/$CountA[1].tmp", "$_AdminName <$_AdminEmail>", "$ArticleIndex[8]");
    }

    print "Location: $CGI_BASE_URL/swlist.cgi?db=$FIELD{'db'}&page=$FIELD{'page'}\n\n";
  }

# Mode Four
} else {
  &alert_msg(" Դϴ.");
}


#______________________________________ SUBROUTINE
sub reply {
    $SubSession = (stat("$DB_Dir_Path/$FIELD{'db'}/index/session.ssn"))[9];
    &read_cookie;
    open(ARTICLE, "$DB_Dir_Path/$FIELD{'db'}/$FIELD{'index'}/$FIELD{'article'}");
    @Article = <ARTICLE>;
    chomp(@Article);
    @ArticleIndex = split(/\|/, $Article[2]);
    if (!$Article[10]) {
      $Article[7] =~ s/&amp;/&/g;
      $Article[7] =~ s/&quot;/"/g;
      $Article[7] =~ s/&lt;/</g;
      $Article[7] =~ s/&gt;/>/g;
    }
    $Article[7] =~ s/<br>/\n/g;
    close ARTICLE;

    print "<script language=\"JavaScript\">\n";
    print "<!-- \n";
    print "function check_value() {\n";
    print "if (document.forms[0].name.value == 0) {\n";
    print "alert(\"̸ Է ּ. Ȥ ܰ??\");\n";
    print "document.forms[0].name.focus();\n";
    print "return false;\n";
    print "}\n";
    if ($_RequireEmail) {
      print "if (document.forms[0].email.value == 0) {\n";
      print "alert(\"̸ Է ּ.\");\n";
      print "document.forms[0].email.focus();\n";
      print "return false;\n";
      print "}\n";
    }
    if ($_RequireHomepage) {
      print "if ((document.forms[0].homepage.value == \"http://\") || (document.forms[0].homepage.value == 0)) {\n";
      print "alert(\"Ȩ ּҸ Է ּ.\");\n";
      print "document.forms[0].homepage.focus();\n";
      print "return false;\n";
      print "}\n";
    }
    print "if (document.forms[0].subject.value == 0) {\n";
    print "alert(\" Է ּ.\");\n";
    print "document.forms[0].subject.focus();\n";
    print "return false;\n";
    print "}\n";
    if ($_RequireUserFile) {
      if ($_OnlyLinkFile) {
        print "if (document.forms[0].userfile.value == 0) {\n";
        print "alert(\" ũ ּҸ Է ּ.\");\n";
        print "document.forms[0].userfile.focus();\n";
        print "return false;\n";
        print "}\n";
        print "if (document.forms[0].linkfilesize.value == 0) {\n";
        print "alert(\" ũ  Է ּ.  1ް 1024kbϴ.  ƽ? ^^;\");\n";
        print "document.forms[0].linkfilesize.focus();\n";
        print "return false;\n";
        print "}\n";
      } else {
        print "if (document.forms[0].userfile.value == 0) {\n";
        print "alert(\"ڷ ׸ ä ּ.\");\n";
        print "document.forms[0].userfile.focus();\n";
        print "return false;\n";
        print "}\n";
      }
    }
    if ($_RequirePreview) {
      print "if ((document.forms[0].preview.value == \"http://\") || (document.forms[0].preview.value == 0)) {\n";
      print "alert(\"̸ ּҸ Է ּ.\");\n";
      print "document.forms[0].preview.focus();\n";
      print "return false;\n";
      print "}\n";
    }
    if ($_WriteInsertionIcon) {
      print "if (document.forms[0].insertionicon.value != 0) {\n";
      # print "if (document.forms[0].iconlocation[0].selected == 0) {\n";
      # print "alert(\"Ա׸ ġ Ǿ  ׸ ׸  ֽϴ. ׸ ׸ ä ּ.\");\n";
      # print "document.forms[0].insertionicon.focus();\n";
      # print "return false;\n";
      # print "}\n";
      # print "} else {\n";
      print "if (document.forms[0].iconlocation[0].selected == 1) {\n";
      print "alert(\"׸  ؾ    ּ.\");\n";
      print "document.forms[0].iconlocation.focus();\n";
      print "return false;\n";
      print "}\n";
      print "}\n";
    }
    if ($_WriteOption) {
      print "if ((document.forms[0].readright.checked == 1) && (document.forms[0].pass.value.length == 0)) {\n";
      print "alert(\"ۼ  йȣ  ؼ  ȣ ʿմϴ.\");\n";
      print "document.forms[0].contents.focus();\n";
      print "return false;\n";
      print "}\n";
      print "if ((document.forms[0].informreg.checked == 1) && (document.forms[0].email.value == 0)) {\n";
      print "alert(\"ñ(亯 ) Ͻ 뺸 Ͻø ̸ Է ּ.\");\n";
      print "document.forms[0].contents.focus();\n";
      print "return false;\n";
      print "}\n";
    }
    print "if ((document.forms[0].contents.value == 0) || (document.forms[0].contents.value.length > $_MaxContents)) {\n";
    print "alert(\" Էµ ʾҰų ʹ  Դϴ.\");\n";
    print "document.forms[0].contents.focus();\n";
    print "return false;\n";
    print "}\n";
    print "if (document.forms[0].pass.value.length > 0 && document.forms[0].pass.value.length < 4) {\n";
    print "alert(\"йȣ  4~10ڷ Ͽ ּ.\");\n";
    print "document.forms[0].pass.focus();\n";
    print "return false;\n";
    print "}\n";
    print "document.forms[0].submit();\n";
    print "return true;\n";
    print "}\n";
    print "function window_location() {\n";
    print "window.location.href = \"$CGI_BASE_URL/swlist.cgi?db=$FIELD{'db'}&page=$FIELD{'page'}\";\n";
    print "}\n";
    print "//-->\n";
    print "</script>\n";
    print "<div align=center><table border=0 cellpadding=1 cellspacing=0 width=430>\n";
    print "<tr><td width=427 colspan=2 bgcolor=#F8F8F8><form method=post action=$CGI_BASE_URL/swreply.cgi enctype=multipart/form-data><input type=hidden name=mode value=3><input type=hidden name=db value=$FIELD{'db'}><input type=hidden name=index value=$Article[0]><input type=hidden name=article value=$ArticleIndex[0]><input type=hidden name=page value=$FIELD{'page'}><input type=hidden name=loginpass value=$FIELD{'loginpass'}><input type=hidden name=subsession value=$SubSession><p align=left><img src=$Icons_Dir_URL/guide01.gif border=0></td></tr>\n";
    print "<tr><td width=427 height=3 colspan=2 bgcolor=white><font style=\"font-size:1pt; color:$_BoardBGColor;\">.</font></td></tr>\n";
    print "<tr><td width=76 bgcolor=white><p align=center><a href=\"javascript:alert(' ̸');\"><img src=$Icons_Dir_URL/bullet01.gif border=0></a><font class=font02≯</font></td>\n";
    print "<td width=350 bgcolor=white><p align=left><input type=text name=name value=\"$COOKIE{'namecookie'}\" maxlength=25 size=13 class=field01></td></tr>\n";
    print "<tr><td width=76 bgcolor=white><p align=center><a href=\"javascript:alert(' ̸');\"><img src=$Icons_Dir_URL/bullet02.gif border=0></a><font class=font02≯</font></td>\n";
    print "<td width=350 bgcolor=white><p align=left><input type=text name=email value=\"$COOKIE{'emailcookie'}\" maxlength=40 size=22 class=field01></td></tr>\n";
    if ($_WriteHomepage) {
      print "<tr><td width=76 bgcolor=white><p align=center><a href=\"javascript:alert(' Ȩ');\"><img src=$Icons_Dir_URL/bullet03.gif border=0></a><font class=font02>Ȩ</font></td>\n";
      if ($COOKIE{'namecookie'}) { 
        print "<td width=350 bgcolor=white><p align=left><input type=text name=homepage value=\"$COOKIE{'homepagecookie'}\" maxlength=70 size=28 class=field01></td></tr>\n";
      } else {
        print "<td width=350 bgcolor=white><p align=left><input type=text name=homepage value=http:// maxlength=70 size=28 class=field01></td></tr>\n";
      }
    }
    print "<tr><td width=76 bgcolor=white><p align=center><a href=\"javascript:alert('  ');\"><img src=$Icons_Dir_URL/bullet04.gif border=0></a><font class=font02></font></td>\n";
    print "<td width=350 bgcolor=white><p align=left><input type=text name=subject value=\"[]$ArticleIndex[7]\" maxlength=65 size=34 class=field01></td></tr>\n";
    if ($_WriteUserFile) {
      if ($_OnlyLinkFile) {
        print "<tr><td width=76 bgcolor=#DAFFF0><p align=center><a href=\"javascript:alert('ڷ(ũ ϸ ش  뷮 Է ʼ!)');\"><img src=$Icons_Dir_URL/bullet05.gif border=0></a><font class=font02>ڷ</font></td>\n";
        print "<td width=350 bgcolor=#DAFFF0><p align=left><input type=text name=userfile maxlength=160 size=35 class=field01> <input type=text name=linkfilesize maxlength=7 size=5 class=field01> <font class=font02>kb</font></td></tr>\n";
      } else {
        if ($_MaxUserFile >= 1048576) {
          $MaxFileSize = int($_MaxUserFile/1048576);
          $MaxFileSize .= "MB";
        } elsif ($_MaxInsertionIcon >= 1024) {
          $MaxFileSize = int($_MaxUserFile/1024);
          $MaxFileSize .= "KB";
        } else {
          $MaxFileSize = $_MaxUserFile . "Byte";
        }
        print "<tr><td width=76 bgcolor=#DAFFF0><p align=center><a href=\"javascript:alert('ڷ(ε ƴ϶ ũ  ϸ ũ ش  뷮 Է ʼ!), ε  뷮 $MaxFileSize!');\"><img src=$Icons_Dir_URL/bullet05.gif border=0></a><font class=font02>ڷ</font></td>\n";
        print "<td width=350 bgcolor=#DAFFF0><p align=left><input type=file name=userfile size=21 class=field01> <input type=text name=linkfilesize maxlength=7 size=5 class=field01> <font class=font02>kb</font></td></tr>\n";
      }
    }
    if ($_WritePreview) {
      print "<tr><td width=76 bgcolor=#DAFFF0><p align=center><a href=\"javascript:alert('ε峪 ũ  ̸   ּ');\"><img src=$Icons_Dir_URL/bullet01.gif border=0></a><font class=font02≯</font></td>\n";
      print "<td width=350 bgcolor=#DAFFF0><p align=left><input type=text name=preview value=http:// maxlength=160 size=38 class=field01></td></tr>\n";
    }
    if ($_WriteInsertionIcon) {
      if ($_OnlyLinkIcon) {
        print "<tr><td width=76 bgcolor=#DAFFF0><p align=center><a href=\"javascript:alert('뿡  ׸(ũ ϸ gif, jpg, bmpϸ !)');\"><img src=$Icons_Dir_URL/bullet02.gif border=0></a><font class=font02>׸</font></td>\n";
        print "<td width=350 bgcolor=#DAFFF0><p align=left><input type=text name=insertionicon maxlength=160 size=35 class=field01> <select name=iconlocation><option value=>--ġ</option><option value=up> </option><option value=down> Ʒ</option></select></td></tr>\n";
      } else {
        if ($_MaxInsertionIcon >= 1048576) {
          $MaxIconSize = int($_MaxInsertionIcon/1048576);
          $MaxIconSize .= "MB";
        } elsif ($_MaxInsertionIcon >= 1024) {
          $MaxIconSize = int($_MaxInsertionIcon/1024);
          $MaxIconSize .= "KB";
        } else {
          $MaxIconSize = $_MaxInsertionIcon . "Byte";
        }
        print "<tr><td width=76 bgcolor=#DAFFF0><p align=center><a href=\"javascript:alert('뿡  ׸(ε ƴ϶ ũ  ϸ gif, jpg, bmpϸ !), ε  뷮 $MaxIconSize!');\"><img src=$Icons_Dir_URL/bullet02.gif border=0></a><font class=font02>׸</font></td>\n";
        print "<td width=350 bgcolor=#DAFFF0><p align=left><input type=file name=insertionicon size=21 class=field01> <select name=iconlocation><option value=>--ġ</option><option value=up> </option><option value=down> Ʒ</option></select></td></tr>\n";
      }
    }
    if ($_WriteOption) {
      print "<tr><td width=427 colspan=2 bgcolor=white align=center><input type=checkbox name=autolink value=1 checked><font class=font02≯, Ȩ ּ ڵũ</font> &nbsp;<input type=checkbox name=usetag value=1><font class=font02>Tag Ͽ </font></td></tr>\n";
      print "<tr><td width=427 colspan=2 bgcolor=white align=center><input type=checkbox name=readright value=1><font class=font02>ش  йȣ </font> &nbsp;<input type=checkbox name=informreg value=1><font class=font02>ñ(亯 ) Ͻ 뺸</font></td></tr>\n";
    }
    print "<tr><td width=427 colspan=2 bgcolor=white align=center><textarea name=contents rows=$_ContentsRows cols=58 wrap=virtual class=field01>\n\n\n$ArticleIndex[9]  !!\n$Article[7]</textarea></td></tr>\n";
    print "<tr><td width=427 colspan=2 bgcolor=#DEFFDA align=center><input type=password name=pass maxlength=10 size=10 class=field01> <input type=button value=\"ȣ | \" onClick=\"check_value();\" class=field03> <input type=reset value=Է class=field03> &nbsp;<input type=button value=Ʈ onClick=\"window_location();\" class=field03></td></tr>\n";
    print "</table></div>\n";
}
